EDIT - feature request #7305

[Dicuss] searching for authorteam with more than three members is incomplete
03/09/2018 11:19 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

mail von Henning:

noch eine Folge davon, dass bibliografische Autoren nach einigen Positionen als et al. abgekiirzt werden.
Suche ich nach Autoren, die im bibliografischen Autorenstring vorkommen, bekomme ich die Autoren und die entsprechenden
Teams.

Fiktive Suche nach ,Richt.”

Richt.

Richt.

Richt.

Soundso & Richt.

Soundso & Richt.

Soundso, Richt., Miller & al. (Annahme & al. = Meyer)

Aber : Suche nach ,Meyer* ergibt keinen Treffer des Teams, in dem es vorkommt, da der Name nicht im Cache vorkommit.
Meyer
Meyer
Meyer

Das erschwert die Analyse und Suche nach Doppelten.

Related issues:
Related to EDIT - feature request #9326: Show all authors in bibliographic re... Closed
Is duplicate of EDIT - task #9624: Centralize team formatting and fix et al. ... Closed

Associated revisions

Revision 15653d2 - 05/14/2021 01:56 PM - Andreas Miiller

ref #7305, ref #9326 allow different etAlPosition for titteCache and nomCache and factory methods and cleanup tests

Revision 0¢763d5f - 05/14/2021 07:54 PM - Andreas Miiller

ref #9624, ref #7305, ref #9326 refactor team formatting all over cdmlib (including et al. handling for biblio references)

Revision 036a4353 - 05/17/2021 06:04 PM - Andreas Miiller

ref #9624, ref #7305, ref #9326 change max number of nomencl. authors to unlimited

History

#1 - 03/13/2018 03:45 PM - Andreas Miiller

Generally we need "advanced searches" for all types of searches like bulk editor, taxon search, etc.

However, the current search always works on titleCache or similar and this should stay as it is as simple search. There are other ways to do e.g.
deduplication by e.g. using the referencing objects view together with bulk editor.

In the given case we probably will add more cache fields to Person/Team which includes 1 or 2 cache fields for citation while the titleCache in future
will hold the most complete information full name(s). Search will then run on titleCache and all other caches.

#2 - 04/20/2021 12:09 PM - Andreas Kohlbecker

- Tags set to search
#3 - 04/20/2021 12:15 PM - Andreas Miiller
- Category set to cdmlib
- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 5.25

This is related to the max number of authors handled in this milestone.

#4 - 05/14/2021 12:42 AM - Andreas Mdller

- Tags changed from search to search, formatting

#5 - 05/14/2021 01:24 PM - Andreas Miiller

- Related to feature request #9326: Show all authors in bibliographic references added

#6 - 05/14/2021 07:43 PM - Andreas Miiller

- Is duplicate of task #9624: Centralize team formatting and fix et al. position handling added

#7 - 05/14/2021 08:07 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

This should be fixed with #9624. Before reviewing you may need to run the cache updater.

#8 - 05/17/2021 09:54 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#9 - 05/17/2021 10:58 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

works as expected.
https://dev.e-taxonomy.eu/redmine/issues/9624
